(define-module (glicid packages monitoring)
               #:use-module (guix packages)
               #:use-module (guix utils)
               #:use-module (gnu packages)
               #:use-module ((gnu packages monitoring) #:prefix gnu:)
               #:use-module (guix download))

(define %zabbix-version "6.0.35")
(define %zabbix-hash "0fw9s4gqmlqdv1b2xhdca91yb3k5nga9wqn2pnzm23c4fpky8nwk")

(define-public zabbix-agentd
               (package 
                 (inherit gnu:zabbix-agentd)
                 (version %zabbix-version)
                 (source
                   (origin
                     (method url-fetch)
                     (uri (string-append "https://cdn.zabbix.com/zabbix/sources/stable/" (version-major+minor version) "/zabbix-" version ".tar.gz"))
                     (sha256 (base32 %zabbix-hash))
                     (patches (search-patches "glicid/packages/patches/glicid-zabbix-timescaledb-2.17.patch"))
                     (modules '((guix build utils)))
                     (snippet
                       '(substitute* '("src/zabbix_proxy/proxy.c" "src/zabbix_server/server.c")
                                     (("/usr/sbin/fping6?") "/run/setuid-programs/fping")))))))


(define-public zabbix-agent2
               (package 
                 (inherit gnu:zabbix-agent2)
                 (version %zabbix-version)
                 (source
                   (origin
                     (method url-fetch)
                     (uri (string-append "https://cdn.zabbix.com/zabbix/sources/stable/" (version-major+minor version) "/zabbix-" version ".tar.gz"))
                     (sha256 (base32 %zabbix-hash))
                     (patches (search-patches "glicid/packages/patches/glicid-zabbix-timescaledb-2.17.patch"))
                     (modules '((guix build utils)))
                     (snippet
                       '(substitute* '("src/zabbix_proxy/proxy.c" "src/zabbix_server/server.c")
                                     (("/usr/sbin/fping6?") "/run/setuid-programs/fping")))))))


(define-public zabbix-server
               (package 
                 (inherit gnu:zabbix-server)
                 (version %zabbix-version)
                 (source
                   (origin
                     (method url-fetch)
                     (uri (string-append "https://cdn.zabbix.com/zabbix/sources/stable/" (version-major+minor version) "/zabbix-" version ".tar.gz"))
                     (sha256 (base32 %zabbix-hash))
                     (patches (search-patches "glicid/packages/patches/glicid-zabbix-timescaledb-2.17.patch"))
                     (modules '((guix build utils)))
                     (snippet
                       '(substitute* '("src/zabbix_proxy/proxy.c" "src/zabbix_server/server.c")
                                     (("/usr/sbin/fping6?") "/run/setuid-programs/fping")))))))
